Name:           python-acryl-datahub-airflow-plugin
Version:        0.15.0.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Datahub Airflow plugin to capture executions and send to Datahub

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://datahubproject.io/
Source:         %{pypi_source acryl_datahub_airflow_plugin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'acryl-datahub-airflow-plugin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-acryl-datahub-airflow-plugin
Summary:        %{summary}

%description -n python3-acryl-datahub-airflow-plugin %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-acryl-datahub-airflow-plugin datahub-file,datahub-kafka,datahub-rest,dev,integration-tests,plugin-v2,test-airflow23,test-airflow24


%prep
%autosetup -p1 -n acryl_datahub_airflow_plugin-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x datahub-file,datahub-kafka,datahub-rest,dev,integration-tests,plugin-v2,test-airflow23,test-airflow24


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-acryl-datahub-airflow-plugin -f %{pyproject_files}


%changelog
%autochangelog